<%
' Clangames Version 3.0 - 14 April 2002
' http://clangames.newlight.org.uk
' Copyright (C) 2001-02 Michael Marshall
' See bottom of page for detailed copyright.
%>

<%
path = strResultsTemp
set fs = CreateObject("Scripting.FileSystemObject")	

if fs.FileExists(path) then
   set file = fs.OpenTextFile(path, 2)
else
   set file = fs.CreateTextFile(path)
end if     

strSql = "SELECT TOP 5 * FROM MATCHES WHERE (DATE < Now()) AND (GAME_TYPE <> 'Practice') ORDER BY DATE DESC"
Set rsResults = Server.CreateObject("ADODB.Recordset")
rsResults.PageSize = iPageSize
rsResults.CacheSize = iPageSize
rsResults.Open strSql, my_Conn, adOpenStatic, adLockReadOnly, adCmdText

' Get the count of the pages using the given page size
iPageCount = rsResults.PageCount



      If iPageCount = 0 then
        file.WriteLine("No Results in Database...")
      Else

      rsResults.AbsolutePage = iPageCurrent
      iRecordsShown = 0

      Do While iRecordsShown < iPageSize And Not rsResults.EOF
      
      
      ' Set up variables

Map1 = ""
Map2 = ""
Match = ""

' Check win/loss/draw for each map

If (rsResults("MAP1_SCORE_US") <> "") Then
   IF (cInt(rsResults("MAP1_SCORE_US")) > cInt(rsResults("MAP1_SCORE_NME"))) Then
      Map1 = "Win"
   End If
   IF (cInt(rsResults("MAP1_SCORE_US")) < cInt(rsResults("MAP1_SCORE_NME"))) Then
      Map1 = "Loss"
   End If
   IF (cInt(rsResults("MAP1_SCORE_US")) = cInt(rsResults("MAP1_SCORE_NME"))) Then
      Map1 = "Draw"
   End If
Else
   Map1 = "Void"
End If

If (rsResults("MAP2_SCORE_US") <> "") Then
   IF (cInt(rsResults("MAP2_SCORE_US")) > cInt(rsResults("MAP2_SCORE_NME"))) Then
      Map2 = "Win"
   End If
   IF (cInt(rsResults("MAP2_SCORE_US")) < cInt(rsResults("MAP2_SCORE_NME"))) Then
      Map2 = "Loss"
   End If
   IF (cInt(rsResults("MAP2_SCORE_US")) = cInt(rsResults("MAP2_SCORE_NME"))) Then
      Map2 = "Draw"
   End If
Else
   Map2 = "Void"
End If

' Decide whether game is a win/lose/draw

If ((Map1 <> "Void") AND (Map2 <> "Void")) Then

   If ((Map1 = "Win") ANd (Map2 = "Win")) Then
      Match = "Win"
   End If
   If ((Map1 = "Win") ANd (Map2 = "Draw")) Then
      Match = "Win"
   End If
   If ((Map1 = "Draw") ANd (Map2 = "Win")) Then
      Match = "Win"
   End If
   If ((Map1 = "Win") ANd (Map2 = "Loss")) Then
      Match = "Draw"
   End If
   If ((Map1 = "Loss") ANd (Map2 = "Win")) Then
      Match = "Draw"
   End If
   If ((Map1 = "Draw") ANd (Map2 = "Draw")) Then
      Match = "Draw"
   End If
   If ((Map1 = "Loss") ANd (Map2 = "Loss")) Then
      Match = "Loss"
   End If
   If ((Map1 = "Loss") ANd (Map2 = "Draw")) Then
      Match = "Loss"
   End If
   If ((Map1 = "Draw") ANd (Map2 = "Loss")) Then
      Match = "Loss"
   End If
   Else
   Match = "Pending"  
   If ((Map1 = "Void") AND (Map2 <> "Void")) Then 
      Match = Map2
   End If
   If ((Map2 = "Void") AND (Map1 <> "Void")) Then 
      Match = Map1
   End If
End If     
      
         If iRecordsShown > 0 then 
            file.WriteLine("<br>")
         End If
         file.WriteLine("<a href='http://" & Request.ServerVariables("SERVER_NAME") & Left(Request.ServerVariables("SCRIPT_NAME"),len(Request.ServerVariables("SCRIPT_NAME"))-17) & "viewresult.asp?ID=" & rsResults("ID") & "' title='Vs " & rsResults("ENEMY") & " - Score - " & rsResults("MAP1_SCORE_US") & "/" & rsResults("MAP1_SCORE_NME") & " (" & rsResults("MAP1") & ") : " & rsResults("MAP2_SCORE_US") & "/" & rsResults("MAP2_SCORE_NME") & " (" & rsResults("MAP2") & ")'>" & rsResults("ENEMY") & "</a> (" & Match & ")")
         iRecordsShown = iRecordsShown + 1
         rsResults.movenext 
      LOOP 

      End If

rsResults.Close
set rsResults = nothing
file.Close()
set file = Nothing


path = strMatchesTemp

if fs.FileExists(path) then
   set file = fs.OpenTextFile(path, 2)
else
   set file = fs.CreateTextFile(path)
end if     

strSql = "SELECT TOP 10 * FROM MATCHES WHERE (DATE >= Now()) ORDER BY DATE"
Set rsMatches = Server.CreateObject("ADODB.Recordset")
rsMatches.PageSize = iPageSize
rsMatches.CacheSize = iPageSize
rsMatches.Open strSql, my_Conn, adOpenStatic, adLockReadOnly, adCmdText

' Get the count of the pages using the given page size
iPageCount = rsMatches.PageCount



      If iPageCount = 0 then
         file.WriteLine("No Matches in Database...")
      Else

      rsMatches.AbsolutePage = iPageCurrent
      iRecordsShown = 0

      Do While iRecordsShown < iPageSize And Not rsMatches.EOF
         If iRecordsShown > 0 then 
            file.WriteLine("<br>")
         End If
         file.WriteLine("<a href='http://" & Request.ServerVariables("SERVER_NAME") & Left(Request.ServerVariables("SCRIPT_NAME"),len(Request.ServerVariables("SCRIPT_NAME"))-17) & "viewmatch.asp?ID=" & rsMatches("ID") & "' title='We have a " & rsMatches("GAME_TYPE") & " game against " & rsMatches("ENEMY") & " on " & WeekDayName(WeekDay(rsMatches("DATE")), true) & ", " & Day(rsMatches("DATE")) & " " & MonthName(Month(rsMatches("DATE")), true) & " " & Year(rsMatches("DATE")) & " @ " & FormatDateTime(rsMatches("DATE"),4) & " - " & rsMatches("TIMEZONE") & "'>" & rsMatches("ENEMY") & "</a> (" & rsMatches("GAME_TYPE") & ")")
         iRecordsShown = iRecordsShown + 1
         rsMatches.movenext 
      LOOP 

      End If

rsMatches.Close
set rsMatches = nothing
file.Close()
set file = Nothing

fs.CopyFile strResultsTemp, strResults
fs.CopyFile strMatchesTemp, strMatches
set fs = Nothing

%>

<%
' This program is free software; you can redistribute it and/or
' modify it under the terms of the GNU General Public License
' as published by the Free Software Foundation; either version 2
' of the License, or any later version.

' All copyright notices regarding Clangames must remain intact 
' in the scripts. The display of the copyright notice on the
' outputted HTML is optional but there must be either the 
' copyright notice or a text/logo link to the clangames site:
' http://clangames.newlight.org.uk

' This program is distributed in the hope that it will be useful,
' but WITHOUT ANY WARRANTY; without even the implied warranty of
' MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
' GNU General Public License for more details.
 
' You should have received a copy of the GNU General Public 
' License along with this program; if not, write to the Free 
' Software Foundation, Inc., 59 Temple Place - Suite 330, Boston, 
' MA  02111-1307, USA.

' Support can be obtained from support forums at:
' http://clangames.newlight.org.uk/forum/ 

' Correspondence and Marketing Questions can be sent to:
' clangames@newlight.org.uk
%>