<%
' Clangames Version 3.0 - 14 April 2002
' http://clangames.newlight.org.uk
' Copyright (C) 2001-02 Michael Marshall
' See bottom of page for detailed copyright.
%>

<%
Function InsertHyperlinks(inText)
Dim objRegExp, strBuf
Dim objMatches, objMatch
Dim Value, ReplaceValue, iStart, iEnd

  strBuf = ""
  iStart = 1
  iEnd = 1
  Set objRegExp = New RegExp

  objRegExp.Pattern = "\b(www|http|\S+@)\S+\b"  ' Match URLs and emails
  objRegExp.IgnoreCase = True                   ' Set case insensitivity.
  objRegExp.Global = True                       ' Set global applicability.
  Set objMatches = objRegExp.Execute(inText)
  For Each objMatch in objMatches
    iEnd = objMatch.FirstIndex
    strBuf = strBuf & Mid(inText, iStart, iEnd-iStart+1)
    If InStr(1, objMatch.Value, "@") Then
      strBuf = strBuf & GetHref(objMatch.Value, "EMAIL", "_BLANK")
    Else
      strBuf = strBuf & GetHref(objMatch.Value, "WEB", "_BLANK")
    End If
    iStart = iEnd+objMatch.Length+1
  Next
  strBuf = strBuf & Mid(inText, iStart)
  InsertHyperlinks = Replace(strBuf & " ", vbLf, "<br>")
End Function


Function GetHref(url, urlType, Target)
Dim strBuf

If Instr(url,"""") < 1 Then
  strBuf = "<a href="""
  If UCase(urlType) = "WEB" Then
    If LCase(Left(url, 3)) = "www" Then
      strBuf = " <a href=""http://" & url & """ Target=""" & _
               Target & """>" & url & "</a>"
    Else
      strBuf = "<a href=""" & url & """ Target=""" & _
               Target & """>" & url & "</a>"
    End If
  ElseIf UCase(urlType) = "EMAIL" Then
    strBuf = "<a href=""mailto:" & url & """ Target=""" & _
             Target & """>" & url & "</a>"
  End If
  GetHref = strBuf
Else
  GetHref = url
End If
End Function

Function OutputASP(inText)
  OutputASP = inText
End Function
%>

<%
' This program is free software; you can redistribute it and/or
' modify it under the terms of the GNU General Public License
' as published by the Free Software Foundation; either version 2
' of the License, or any later version.

' All copyright notices regarding Clangames must remain intact 
' in the scripts. The display of the copyright notice on the
' outputted HTML is optional but there must be either the 
' copyright notice or a text/logo link to the clangames site:
' http://clangames.newlight.org.uk

' This program is distributed in the hope that it will be useful,
' but WITHOUT ANY WARRANTY; without even the implied warranty of
' MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
' GNU General Public License for more details.
 
' You should have received a copy of the GNU General Public 
' License along with this program; if not, write to the Free 
' Software Foundation, Inc., 59 Temple Place - Suite 330, Boston, 
' MA  02111-1307, USA.

' Support can be obtained from support forums at:
' http://clangames.newlight.org.uk/forum/ 

' Correspondence and Marketing Questions can be sent to:
' clangames@newlight.org.uk
%>