<%
' Clangames Version 3.0 - 14 April 2002
' http://clangames.newlight.org.uk
' Copyright (C) 2001-02 Michael Marshall
' See bottom of page for detailed copyright.
%>

<%
' News Subject
TheSubject = OutputASP(news_item("NEWS_SUBJECT"))

' The day of the month in numerical format
TheDay = OutputASP(Day(news_item("DATE")))

' The day name in abbrevated form, e.g. Weds
TheDayShortName = OutputASP(WeekDayName(WeekDay(news_item("DATE")), True))

' The day name in long form, e.g. Wednesday
TheDayLongName = OutputASP(WeekDayName(WeekDay(news_item("DATE")), False))

' The month name in abbrevated form, e.g. Apr
TheMonthShortName = OutputASP(MonthName(Month(news_item("DATE")), True))

' The month name in abbrevated form, e.g. April
TheMonthLongName = OutputASP(MonthName(Month(news_item("DATE")), false))

' The Date in long format e.g. 7 January 2002
TheLongDate = OutputASP(FormatDatetime(news_item("DATE"),1))

' The Date in short format e.g. 07/01/02 (this may be 01/07/02 in the US)
TheShortDate = OutputASP(FormatDatetime(news_item("DATE"),2))

' The year in full form, e.g. 2002
TheYear = OutputASP(Year(news_item("DATE")))

' Poster Name
PosterName = OutputASP(news_item("NAME"))

' Poster Name in lower case
LowerCasePosterName = OutputASP(lcase(news_item("NAME")))

' Time in 24 hour format
TheTime = FormatDateTime(news_item("DATE"),4)

' News body text (with hyperlinks)
NewsBody = InsertHyperlinks(news_item("NEWS_BODY"))
%>

<%
' This program is free software; you can redistribute it and/or
' modify it under the terms of the GNU General Public License
' as published by the Free Software Foundation; either version 2
' of the License, or any later version.

' All copyright notices regarding Clangames must remain intact 
' in the scripts. The display of the copyright notice on the
' outputted HTML is optional but there must be either the 
' copyright notice or a text/logo link to the clangames site:
' http://clangames.newlight.org.uk

' This program is distributed in the hope that it will be useful,
' but WITHOUT ANY WARRANTY; without even the implied warranty of
' MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
' GNU General Public License for more details.
 
' You should have received a copy of the GNU General Public 
' License along with this program; if not, write to the Free 
' Software Foundation, Inc., 59 Temple Place - Suite 330, Boston, 
' MA  02111-1307, USA.

' Support can be obtained from support forums at:
' http://clangames.newlight.org.uk/forum/ 

' Correspondence and Marketing Questions can be sent to:
' clangames@newlight.org.uk
%>